efax-gtk-socket-client(1)

NAME
efax-gtk-socket-client - a client of efax-gtk to work with lpd/lprng

SYNOPSIS
efax-gtk-socket-client [hostname] [port]

DESCRIPTION
This program enables lpd/lprng to access the efax-gtk socket server. Meaning the user can send faxes to a printer, which will ack as a fax.

It takes two arguments - first a hostname to connect to, and secondly a port number at that hostname to connect to. All efax-gtk-socket-client does is to read from standard input (in this case from lpd/lprng) and passes it to a socket at the hostname and port number passed as arguments to it (namely the hostname of the computer efax-gtk is running on - normally you would specify localhost - and the port number of the socket).
fax:
    :sd=/var/spool/fax:
    :mx#0:
    :sh:
    :lp=/dev/null:
    :if=/var/spool/fax/efax-gtk-faxfilter:

This will cause a printer by the name of "fax" to be available, which (if printed to) will send the file to the efax-gtk socket server. If you set efax-gtk to listen on a port other than port 9900, you will need to amend the file /var/spool/fax/efax-gtk-faxfilter by hand to specify the correct port number on which efax-gtk is listening. Don't forget to restart the lpd printer daemon after amending /etc/printcap.

OPTIONS
[ hostname ] - The name of the host to listen to. Usually should be locahlhost.
[ port ] - the port number to listen to on the [ hostname ].

SEE ALSO
efax(1), efax-gtk(1).

AUTHOR
efax-gtk-socket-client was written by Chris Vine <chris@cvine.freeserve.co.uk>.

This manual page was written by Lior Kaplan <kaplan@debian.org>, for the Debian project (but may be used by others).